commit:     1b322eddd8d9ca48f3f05f0df033568447022d6a
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 18 19:50:32 2025 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Feb 18 20:29:49 2025 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=1b322edd

kde-plasma/union: new package, add 9999

Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-plasma/union/metadata.xml      | 15 +++++++++++
 kde-plasma/union/union-9999.ebuild | 51 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/kde-plasma/union/metadata.xml b/kde-plasma/union/metadata.xml
new file mode 100644
index 0000000000..9deb43a4c0
--- /dev/null
+++ b/kde-plasma/union/metadata.xml
@@ -0,0 +1,15 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo KDE Project</name>
+       </maintainer>
+       <upstream>
+               <bugs-to>https://bugs.kde.org/</bugs-to>
+               <remote-id type="kde-invent">plasma/union</remote-id>
+       </upstream>
+       <use>
+               <flag name="tools">Build tools that are useful for 
development</flag>
+       </use>
+</pkgmetadata>

diff --git a/kde-plasma/union/union-9999.ebuild 
b/kde-plasma/union/union-9999.ebuild
new file mode 100644
index 0000000000..ed51736c29
--- /dev/null
+++ b/kde-plasma/union/union-9999.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_EXAMPLES="true"
+ECM_TEST="true"
+KFMIN=6.11.0
+QTMIN=6.8.1
+inherit ecm plasma.kde.org
+
+DESCRIPTION="Style engine providing a unified style description to separate 
output styles"
+HOMEPAGE="https://quantumproductions.info/articles/2025-02/moving-kdes-styling-future
+https://files.quantumproductions.info/union/overview.html";
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 ) GPL-3 BSD-2"
+SLOT="6"
+KEYWORDS=""
+IUSE="svg tools"
+
+RDEPEND="
+       >=dev-qt/qtbase-${QTMIN}:6[gui,widgets]
+       >=dev-qt/qtdeclarative-${QTMIN}:6
+       svg? (
+               >=dev-qt/qtsvg-${QTMIN}:6
+               >=kde-frameworks/karchive-${KFMIN}:6
+               >=kde-frameworks/kcolorscheme-${KFMIN}:6
+               >=kde-frameworks/kconfig-${KFMIN}:6
+               kde-plasma/libplasma:6
+       )
+"
+DEPEND="${RDEPEND}
+       >=dev-qt/qttools-${QTMIN}:6[qdoc]
+       svg? ( >=dev-cpp/rapidyaml-0.7.2:= )
+"
+
+DOCS=( README.md )
+
+src_configure() {
+       local mycmakeargs=(
+               -DWITH_PLASMASVG_INPUT=$(usex svg)
+               -DBUILD_TOOLS=$(usex tools)
+       )
+       ecm_src_configure
+}
+
+src_install() {
+       use examples && local DOCS+=( 
"${S}"/examples/snippets/{Button,Positioner}.qml )
+       use tools && dobin "${BUILD_DIR}"/bin/union-ruleinspector
+       ecm_src_install
+}

Reply via email to